Skip to main content
PUT
/
agent-workers
/
workers
/
{worker_id}
/
runs
/
{run_id}
/
session
Record agent worker session state for a run
curl --request PUT \
  --url https://api.veryfront.com/agent-workers/workers/{worker_id}/runs/{run_id}/session \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "session_key": "<string>",
  "status": "active",
  "metadata": {}
}
'
{
  "session": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "run_id": "<string>",
    "implementation_kind": "<string>",
    "worker_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "session_key": "<string>",
    "status": "active",
    "created_at": "<string>",
    "updated_at": "<string>",
    "ended_at": "<string>",
    "metadata": null
  }
}

Documentation Index

Fetch the complete documentation index at: https://veryfront.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

worker_id
string<uuid>
required
run_id
string
required
Required string length: 1 - 128

Body

application/json
session_key
string
required
Required string length: 1 - 512
status
enum<string>
Available options:
active,
completed,
failed,
cancelled
metadata
object

Response

200 - application/json

Agent worker session recorded

session
object
required